Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control
Class M_GraphixEngineUI.GrScroll

    java.lang.Object
      java.awt.Component
          java.awt.Canvas
              de.farafin.snEADy.control.M_GraphixEngineUI.GrScroll

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

Enclosing class:
  M_GraphixEngineUI

    private class M_GraphixEngineUI.GrScroll

extends java.awt.Canvas

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Canvas
`java.awt.Canvas.AccessibleAWTCanvas`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private java.awt.Color` | `COLOR_GREY1`
`private int` | `dMover`
`private int` | `dy_bar`
`private int` | `h`
`(package private) java.awt.image.BufferedImage` | `img_scroll`
`private int` | `max`
`private float` | `pos`
`private int` | `range`
`private int` | `SCROLL_BAR`
`private int` | `SCROLL_DOWN`
`private int` | `SCROLL_NONE`
`private int` | `SCROLL_UP`
`(package private) M_GraphixEngineUI.GrSelCanvas` | `selectC`
`private int` | `sState`
`private int` | `w`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`private` | `M_GraphixEngineUI.GrScroll(int x, int y, int width, int height, int scrollMax, int scrollRange, M_GraphixEngineUI.GrSelCanvas selC)`

Method Summary
`private void` | `drawScroll()`
`private int` | `getMoverAbsHeight()`
`private int` | `getMoverAbsPos()`
`void` | `paint(java.awt.Graphics g)`
`void` | `repaint()`

Methods inherited from class java.awt.Canvas
`addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCROLL_NONE

    private final int SCROLL_NONE

See Also:
  Constant Field Values

### SCROLL_UP

    private final int SCROLL_UP

See Also:
  Constant Field Values

### SCROLL_DOWN

    private final int SCROLL_DOWN

See Also:
  Constant Field Values

### SCROLL_BAR

    private final int SCROLL_BAR

See Also:
  Constant Field Values

### COLOR_GREY1

    private final java.awt.Color COLOR_GREY1

### sState

    private int sState

### w

    private int w

### h

    private int h

### max

    private int max

### range

    private int range

### pos

    private float pos

### dy_bar

    private int dy_bar

### dMover

    private int dMover

### selectC

    M_GraphixEngineUI.GrSelCanvas selectC

### img_scroll

    java.awt.image.BufferedImage img_scroll

Constructor Detail

### M_GraphixEngineUI.GrScroll

    private M_GraphixEngineUI.GrScroll(int x,
                                       int y,
                                       int width,
                                       int height,
                                       int scrollMax,
                                       int scrollRange,
                                       M_GraphixEngineUI.GrSelCanvas selC)

Method Detail

### getMoverAbsPos

    private int getMoverAbsPos()

### getMoverAbsHeight

    private int getMoverAbsHeight()

### drawScroll

    private void drawScroll()

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `java.awt.Canvas`

### repaint

    public void repaint()

  Overrides:
    `repaint` in class `java.awt.Component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD